Adds an employee grade. The response gradeCode is the id to use on a designation.
Request
Body Params application/jsonRequired
{
"name": "L3",
"seniorityLevel": 3,
"description": "string",
"expLevelFrom": "string",
"expLevelTo": "string"
}
Request Code Samples
curl --location 'https://ekpayout-uat.enkash.in/api/v0/partner/grade' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data '{
"name": "L3",
"seniorityLevel": 3,
"description": "string",
"expLevelFrom": "string",
"expLevelTo": "string"
}'
Responses
{
"response_code": 0,
"response_message": "SUCCESS",
"payload": {
"gradeCode": "string",
"name": "string",
"seniorityLevel": 0,
"description": "string",
"expLevelFrom": "string",
"expLevelTo": "string",
"status": "string",
"designations": [
{
"code": "string",
"name": "string"
}
]
}
}
Modified at 2026-11-02 19:48:55